<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <!-- menu de recuperação de senha  -->
        <title>SGE</title>
        <link href="../../css/sb-admin-2.css" rel="stylesheet">
        <link href="../../css/bootstrap3.min.css" rel="stylesheet">
           
        <script type="text/javascript" src="../../js/jquery-3.3.13.min.js"></script>
        <script type="text/javascript" src="../../js/bootstrap3.min.js"></script>
        <script type="text/javascript" src="../../js/jquery.mask3.min.js"></script>  
        <script type="text/javascript">
        $(document).ready(function(){
            $("#usuario").mask("000.000.000-00")
            $("#cnpj").mask("00.000.000/0000-00")
            $("#telefone").mask("(00) 0000-0000")
            
            $("#cep").mask("00.000-000")
            
            
            $("#rg").mask("999.999.999-W", {
                translation: {
                    'W': {
                        pattern: /[X0-9]/
                    }
                },
                reverse: true
            })
            
            var options = {
                translation: {
                    'A': {pattern: /[A-Z]/},
                    'a': {pattern: /[a-zA-Z]/},
                    'S': {pattern: /[a-zA-Z0-9]/},
                    'L': {pattern: /[a-z]/},
                }
            }
            
            
        })
        </script>
    </head>
    <body>
    <div class="container">
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <div class="login-panel panel panel-primary">
                    <div class="panel-heading">
                        <h3 class="panel-title">Trocar a senha</h3>
                        
                    </div>
                    <div class="panel-body"><!-- formulario que ira receber a nova senha e depois enviar para validar os dados  -->
                        <form role="form"   action="../conexao/recuperaalterasenha.php" method="post"  >
                            <fieldset>
                               <div class="form-group">
                                   <?php  $valor = @$_GET['p']; ?>
                                   <input type="hidden" name="valor" value="<?php echo $valor ; ?>">
                                    <input class="form-control" placeholder="Nova Senha" name="senha" type="password" id="password"   required value="">
                                   <!-- usuário insere a nova senha  -->
                                </div>
                                <div class="form-group" id="pwd-container" >
                                <div class="pwstrength_viewport_progress"></div><!-- insere o mostrador da força da senha  -->
                                </div>
                                <div>
                                </div>          
                                <input type="submit" value="Alterar"  class="btn btn-lg btn-primary btn-block"  />
                            </fieldset>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- biblioteca da oparte estetica da pagina  -->
   <script src="//ajax.googleapis.com/ajax/libs/jquery/2.0.3/jquery.min.js"></script>
    <script type="text/javascript" src="../../js/pwstrength.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(function () {
            "use strict";
            var options = {};
            options.ui = {
                bootstrap4: true,
                container: "#pwd-container",
                viewports: {
                    progress: ".pwstrength_viewport_progress"
                },
                showVerdictsInsideProgressBar: true
            };
            options.common = {
                debug: true,
                onLoad: function () {
                    $('#messages').text('Start typing password');
                }
            };
            $(':password').pwstrength(options);
        });
    </script> 
<!-- mostra a força da senha  -->
    </body>
</html>